﻿using Syncfusion.UI.Xaml.Controls.Input;

using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using System.Windows.Input;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace UWPSample
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        private ObservableCollection<ProductList> states;
        SfTextBoxExt textboxext;
        public MainPage()
        {
            this.InitializeComponent();

            States = new ObservableCollection<ProductList>();

            States.Add(new ProductList() { Name = "Ohio" });

            States.Add(new ProductList() { Name = "Oklahoma" });

            States.Add(new ProductList() { Name = "Oregon" });

            States.Add(new ProductList() { Name = "Nebraska" });

            States.Add(new ProductList() { Name = "Nevada" });

            States.Add(new ProductList() { Name = "New Hampshire" });

            States.Add(new ProductList() { Name = "New Jersey" });

            States.Add(new ProductList() { Name = "North Dakota" });

            this.DataContext = this;
            combobox.Loaded += Combobox_Loaded;

        }

        public ObservableCollection<ProductList> States
        {
            get { return states; }

            set { states = value; }
        }
        private void Combobox_Loaded(object sender, RoutedEventArgs e)
        {
            textboxext = FindVisualChildrenOfType<SfTextBoxExt>((sender as SfComboBox)).FirstOrDefault();
        }


        // Getting SfTextBoxExt using VisualTreeHelper
        public static IEnumerable<T> FindVisualChildrenOfType<T>(DependencyObject parent) where T : DependencyObject
        {
            List<T> foundChildren = new List<T>();
            int childCount = VisualTreeHelper.GetChildrenCount(parent);
            for (int i = 0; i < childCount; i++)
            {
                var child = VisualTreeHelper.GetChild(parent, i);
                T childType = child as T;
                if (childType == null)
                {
                    foreach (var other in FindVisualChildrenOfType<T>(child))
                        yield return other;
                }
                else
                {
                    yield return (T)child;
                }
            }
        }

   
        private void combobox_KeyDown(object sender, KeyRoutedEventArgs e)
        {
            if (e.Key == Windows.System.VirtualKey.Enter)
            {
                if (!string.IsNullOrEmpty(textboxext.Text))
                {
                    bool itemexist = false;
                    ProductList item = new ProductList() { Name = textboxext.Text };
                    foreach (ProductList item1 in States)
                    {
                        if (item1.Name == item.Name)
                        {
                            itemexist = true;
                            break;
                        }
                    }
                    if (!itemexist)
                    {
                        textboxext.Text = string.Empty;
                        states.Add(item);
                    }
                }

            }
        }
    }
    public class ProductList
    {
        public string Name { get; set; }
    }

}
